Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Hi. I updated from 4 to 5 and nothing work. I lost anu addons. When could I take version 4?

  • 12 replies
  • 11 have this problem
  • 2 views
  • Last reply by Nervin

more options

On 4.0 everything was working. Now - antivirus, downloaders don't work. How could I change version to 4 from 5?

Chosen solution

I recommend backing up your Firefox settings in case something goes wrong. See Backing up your information. (You can copy your entire Firefox profile folder somewhere outside of the Mozilla folder.)

Then just install "over" Firefox 5. As long as you are installing Firefox 3.6.x or Firefox 4.0.x, your profile should be compatible. (But if there are problems, you have the backup you made...)

Read this answer in context 👍 1

All Replies (12)

more options

Due to security vulnerabilities, rolling back to Firefox 4.0.1 is not recommended.

If Firefox disabled some add-ons (especially extensions), it likely is because they include a list of compatible Firefox versions and haven't yet been updated for Firefox 5. If they worked on Firefox 4, there is a good chance they will actually work on Firefox 5.

You can force Firefox to ignore add-on version restrictions by (what else) installing an add-on. Then you can test whether the add-ons important to you actually work in Firefox 5.

Add-on Compatibility Reporter :: Add-ons for Firefox

After you install it and restart Firefox, a new control should appear next to each add-on that lets you manage it individually.

Does it work?

more options

It doesn't work. Everything is disabled and it really disabled. I restarted FF and all system, reinstalled FF5, but it cannot find new addons. I cannot use FF without AVP. And same situation on 2-nd computer too.

Modified by Nervin

more options

After you install the Compatibility Reporter Add-on, this should appear at the top of the Extensions list: Add-on compatibility checking is disabled. If that didn't work, please verify that the new add-on is installed and enabled.

---

If that appears but those add-ons still are disabled, you should have an Enable button next to them.

Modified by jscher2000

more options

I installed Compatibility Reporter Add-on, enabled it, but addons are incompatible with FF5. Neither Web Research, nor Kaspersky.

more options

The statement that they are incompatible is based purely on the version numbers listed in the add-on. You will notice that they are enabled (there is a Disable button on the right side), so if they actually work in Firefox 5, you should be able to use their features. (I don't know whether any of those particular add-ons work in Firefox 5.)

more options

They don't work. Antivirus doesn't check links in FF5. Web Research don't save pages. Real player doesn't download video.

It doesn't matter should it work or not. As fact - they don't work. And my question - how to return FF4 without reinstalling all programs (like Antivirus, Web Research & Real player) again.

Modified by Nervin

more options

This is going to be a problem with Firefox's new aggresive release schedule. It seems like just last month I finally got my plugins updated for FF4, now they are disabled again for FF5! Firefox needs to fix that, or else they'll lose the rest of their base to other browsers.

more options

FF4 was really good. Almost disappeared braking after a hour of working, and everything updated for few minutes. Now I really cannot use it.

And why new version comes so soon? As for me - nothing changed (only problems).

more options

You can get insecure past versions of Firefox from the FTP server: ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/

more options

can I just setup it and save all addons? Or I need to install everything again?

more options

Chosen Solution

I recommend backing up your Firefox settings in case something goes wrong. See Backing up your information. (You can copy your entire Firefox profile folder somewhere outside of the Mozilla folder.)

Then just install "over" Firefox 5. As long as you are installing Firefox 3.6.x or Firefox 4.0.x, your profile should be compatible. (But if there are problems, you have the backup you made...)

more options

Thanks. Almost everything is good. Doesn't work only WebResearch, but it's ok.